Subject: Re: bug#61690: Failure to mount /sys in nested ‘guix shell’ container

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Mar 2023 18:11:16 +0100

Hi Josselin,

Josselin Poiret <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> The reason for this bug seems to be given here:
>>
>>   https://github.com/nestybox/sysbox/issues/67#issuecomment-726285026
>>
>> It’s not clear whether there’s anything we can do, other than
>> recommending ‘-CN’ as well in the nested container.
>
> Couldn't we always create a new network namespace, but when -N is passed
> it also has a veth interface?  The one problem I can think of is that
> we'd need to either create one veth per interface in the parent
> namespace or let the user specify which interface should be shared.

Maybe we could, but I must confess I’m totally clueless on this veth
thing.  :-)

What would this entail?  Hopefully guile-netlink can help?

Thanks,
Ludo’.